#pragma once

#include "CoreMinimal.h"
#include "MatchInfoNotificationTrigger.h"
#include "GameplayTagContainer.h"
#include "GameEventTrigger.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UGameEventTrigger : public UMatchInfoNotificationTrigger
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FGameplayTagContainer _gameEvents;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _eventInstigatorMustBeOwner;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _eventTargetMustBeOwner;

public:
	UGameEventTrigger();
};

FORCEINLINE uint32 GetTypeHash(const UGameEventTrigger) { return 0; }
